// main.c
// DUAL3006 DMA-based application for 5510 DSK
// Educational DSP, LLC - 2006

// DUAL3006 code using DMA to service all 4 channels

#include "dsk5510_dual3006cfg.h"
#include "dsk5510.h"

#include <csl.h>

void init_DMA();

void main()
{
    DSK5510_init();						// init BSL
    
    DSK5510_rset(DSK5510_MISC, 0x03);	// route McBSP0/1 to J3

    // Start McBSP0 I2S slave
    MCBSP_start(hMcbsp0, MCBSP_XMIT_START | MCBSP_RCV_START |
	MCBSP_SRGR_START | MCBSP_SRGR_FRAMESYNC, 220);
    
    // Start McBSP1 I2S master
    MCBSP_start(hMcbsp1, MCBSP_XMIT_START | MCBSP_RCV_START |
	MCBSP_SRGR_START | MCBSP_SRGR_FRAMESYNC, 220);
   
	init_DMA();							// configure DMA and interrupts

    return;								// let DSP/BIOS scheduler take over
}

