// swi_process.h
// DUAL3006 DMA-based application for 5510 DSK
// Educational DSP, LLC - 2006

// defines and declarations for 5510- DUAL3006 DMA-based application


// BUFFER_LENGTH must be in the range 1-65535, although available memory will limit max size
#define BUFFER_LENGTH		1024	// buffer length in samples per channel

// do not alter the below defines
#define BUFFER_DEPTH		2	// do not change - just using ping-pong buffering
#define NUM_CHANNELS		4	// do not change - supporting 4-channel DUAL3006
#define DMA_RECEIVE_DONE	1	// do not change - flags for SWI_ProcessBuffer
#define DMA_TRANSMIT_DONE	2
#define RECEIVE_OVERRUN		1	// do not change - flags for SWI_OverrunHandler
#define TRANSMIT_OVERRUN	2	
#define MCBSP1_0_OFFSET	((_MCBSP_DRR21_ADDR - _MCBSP_DRR20_ADDR) << 1)	// distance (bytes) between McBSP1 and McBSP0

extern short receive_buffer[BUFFER_DEPTH][BUFFER_LENGTH * NUM_CHANNELS];
extern short transmit_buffer[BUFFER_DEPTH][BUFFER_LENGTH * NUM_CHANNELS];

extern Uint16 receive_buffer_processed;
extern Uint16 transmit_buffer_filled;
extern Uint16 receive_buffer_to_process_index;
extern Uint16 transmit_buffer_to_fill_index;

void SWI_ProcessBuffer();


